Skip to content

Statements

This group of endpoints allows you to retrieve a list of balances for the required period for a given business.

List statements

Request

This endpoint allows you to retrieve a list of balances for the required period for a given business.

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
Query
offsetinteger

Offset to retrieve items from.

Default:0
Example:offset=50
limitinteger, <= 500

Number of items per page.

Default:50
Example:limit=50
start_datestring, (date)required

The start date for this statement in UTC.

end_datestring, (date)required

The end date for this statement in UTC.

GET
/v1/businesses/{client_id}/statements
curl -i -X GET \
  'https://public.letsweel.com/v1/businesses/123/statements?offset=50&limit=50&start_date=2019-08-24&end_date=2019-08-24' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
countinteger

The total number of daily balance records for the given period.

Example:100
nextstring

The URL to the next page of daily balance records.

Example:"offset=50&limit=50"
previousstring

The URL to the previous page of daily balance records.

Example:"offset=0&limit=50"
start_datestring, (date)

The start date for this statement in UTC.

Example:"2024-01-01"
end_datestring, (date)

The end date for this statement in UTC.

Example:"2024-01-31"
currencystring

The currency of the statement.

Example:"AUD"
opening_balancenumber

The opening balance of the statement.

Example:1000
closing_balancenumber

The closing balance of the statement.

Example:1000
daily_balancesArray of objects(DailyBalance)
Response
{ "count": 100, "next": "offset=50&limit=50", "previous": "offset=0&limit=50", "start_date": "2024-01-01", "end_date": "2024-01-31", "currency": "AUD", "opening_balance": 1000, "closing_balance": 1000, "daily_balances": [ {} ] }